﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Threading;

namespace game.Pages
{
    public partial class Intro : UserControl
    {
        private Thread _thread1;
        MainPage main;
        public Intro(MainPage main)
        {
            this.main = main;
            InitializeComponent();

            main.readSettings();
            main.playSound.AddToContainer();
            if (main.gameSettings.getSound())
                main.playSound.playSound(new Uri("sounds/startup.mp3", UriKind.Relative));
            _thread1 = new Thread(DoThread1);
            _thread1.Start(this);
            
        }

        public void DoThread1(Object thisPage)
        {
            Intro page;
            page = (Intro)thisPage;
            bool B = true;
            while (B)
            {
                for (int i = 1; i < 5; i++) {
                    page.showImage("../Images/back"+i+".jpg");
                    System.Threading.Thread.Sleep(200);
                }

                for (int i = 1; i < 5; i++)
                {
                    page.showImage("../Images/back" + i + ".jpg");
                    System.Threading.Thread.Sleep(200);
                }

                page.showImage("../Images/back2.jpg");
                System.Threading.Thread.Sleep(200);
                page.showImage("../Images/back3.jpg");
                System.Threading.Thread.Sleep(200);

                for (int i = 1; i < 5; i++)
                {
                    page.showImage("../Images/main" + i + ".jpg");
                    System.Threading.Thread.Sleep(200);
                }


                B = false;
            }
            Dispatcher.BeginInvoke(() =>
            {
                main.goToHome(this);
            });
        }

        public void showImage( String imgName2)
        {
            Dispatcher.BeginInvoke(() =>
            {
                ImageSourceConverter c = new ImageSourceConverter();
                backImg.Source = (ImageSource)c.ConvertFromString(imgName2);
            });
            
        }

        public void goHome(){
            main.goToHome(this);
        }
            
    }
    
}
    
