﻿using System;
using System.Net;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;

namespace game.Model
{
    public class ImageGenerator
    {

        
        public static Image getRandomImage()
        {
            //image
            Image img = new Image();
            img.HorizontalAlignment = HorizontalAlignment.Center;
            img.VerticalAlignment = VerticalAlignment.Center;

            //images.. manually
            Dictionary<ImageSource, String> imagesMap = new Dictionary<ImageSource, String>();


            img.Source = new BitmapImage(new Uri("/Images/Figures/Apple-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "apple");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Ball-8-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "ball");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Banana-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "banana");
            img.Source = new BitmapImage(new Uri("/Images/Figures/basketball.png", UriKind.Relative));
            imagesMap.Add(img.Source, "ball");
            img.Source = new BitmapImage(new Uri("/Images/Figures/beachBall.png", UriKind.Relative));
            imagesMap.Add(img.Source, "ball");
            img.Source = new BitmapImage(new Uri("/Images/Figures/bike-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "bike");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Brush-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "brush");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Burn.png", UriKind.Relative));
            imagesMap.Add(img.Source, "radiation");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Butterfly.png", UriKind.Relative));
            imagesMap.Add(img.Source, "butterfly");
            img.Source = new BitmapImage(new Uri("/Images/Figures/cake-1-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "cake");
            img.Source = new BitmapImage(new Uri("/Images/Figures/cake-slice-1-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "cake");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Cherry-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "cherry");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Contact.png", UriKind.Relative));
            imagesMap.Add(img.Source, "phone");
            img.Source = new BitmapImage(new Uri("/Images/Figures/cruise-bike-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "bike");
            img.Source = new BitmapImage(new Uri("/Images/Figures/dice-black.png", UriKind.Relative));
            imagesMap.Add(img.Source, "dice");
            img.Source = new BitmapImage(new Uri("/Images/Figures/dice-blue.png", UriKind.Relative));
            imagesMap.Add(img.Source, "dice");
            img.Source = new BitmapImage(new Uri("/Images/Figures/dice-green.png", UriKind.Relative));
            imagesMap.Add(img.Source, "dice");
            img.Source = new BitmapImage(new Uri("/Images/Figures/dice-red.png", UriKind.Relative));
            imagesMap.Add(img.Source, "dice");
            img.Source = new BitmapImage(new Uri("/Images/Figures/dice-white.png", UriKind.Relative));
            imagesMap.Add(img.Source, "dice");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Dolphin.png", UriKind.Relative));
            imagesMap.Add(img.Source, "dolphin");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Elephant.png", UriKind.Relative));
            imagesMap.Add(img.Source, "elephant");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Favorites-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "ball");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Flag-blue.png", UriKind.Relative));
            imagesMap.Add(img.Source, "flag");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Flag-green.png", UriKind.Relative));
            imagesMap.Add(img.Source, "flag");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Flag-red.png", UriKind.Relative));
            imagesMap.Add(img.Source, "flag");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Flag-yellow.png", UriKind.Relative));
            imagesMap.Add(img.Source, "flag");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Gift-Box-Gold-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "gift box");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Gift-Box-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "gift box");
            img.Source = new BitmapImage(new Uri("/Images/Figures/gifts-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "gift box");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Hippopotamus.png", UriKind.Relative));
            imagesMap.Add(img.Source, "hippopotamus");
            img.Source = new BitmapImage(new Uri("/Images/Figures/kiwi-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "kiwi");
            img.Source = new BitmapImage(new Uri("/Images/Figures/leave-green.png", UriKind.Relative));
            imagesMap.Add(img.Source, "leave");
            img.Source = new BitmapImage(new Uri("/Images/Figures/leave-orange.png", UriKind.Relative));
            imagesMap.Add(img.Source, "leave");
            img.Source = new BitmapImage(new Uri("/Images/Figures/leave-red.png", UriKind.Relative));
            imagesMap.Add(img.Source, "leave");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Panda.png", UriKind.Relative));
            imagesMap.Add(img.Source, "panda");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Present-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "gift box");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Roling-pin-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "roling");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Shell.png", UriKind.Relative));
            imagesMap.Add(img.Source, "shell");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Soccer-Ball-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "ball");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Sushi-01-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "sushi");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Tomato-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "tomato");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Tools-Bluetooth-File-Exchange-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "hat");
            img.Source = new BitmapImage(new Uri("/Images/Figures/tournevis-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "tool");
            img.Source = new BitmapImage(new Uri("/Images/Figures/U-B-K-Eternal-Sledge-Hammer-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "tool");
            img.Source = new BitmapImage(new Uri("/Images/Figures/watermelon-icon.png", UriKind.Relative));
            imagesMap.Add(img.Source, "watermelon");
            img.Source = new BitmapImage(new Uri("/Images/Figures/Write.png", UriKind.Relative));
            imagesMap.Add(img.Source, "pen");

            //randomness comes here!
            Random r = new Random(DateTime.Now.Millisecond);
            int num = r.Next(0, imagesMap.Count - 1);
            List<ImageSource> keys = new List<ImageSource>(imagesMap.Keys);
            img.Source = keys[num];
            img.Tag = imagesMap[keys[num]];
            return img;
        }
    }
}
