﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Threading;

namespace game.Model
{
    
    public class Timer
    {
        int count = 0;
        private Storyboard _gameLoop = new Storyboard();
        private Image img;
        private ImageSource imgs;

        public Timer(Image img)
        {
            //Show disappear animation
            this.img = img;
            imgs = img.Source;
            _gameLoop.Duration = TimeSpan.FromMilliseconds(0);
            _gameLoop.Completed += new EventHandler(disappear);
            _gameLoop.Begin();
            
        }

        public void disappear(object sender, EventArgs e)
        {
            // Add any game logic/animation here.
            // Example:
            count++;
            if (count == 6) { img.Source = imgs; _gameLoop.Stop(); return; }
            ImageSourceConverter c = new ImageSourceConverter();
            img.Source = (ImageSource)c.ConvertFromString("../Images/disappear" + count + ".png");            

            
            // Continue storyboard timer
            _gameLoop.Begin();
        }  
        
    }   
     
}
